
function findGeo(di) {
    const offence = di.graph.getItem(di.itemID);
  // Find out where a person was convicted by looking for Actions which have a location, which has a geo property
    di.graph.addBackLinks();
    const convictions = di.graph.resolve(offence, [{"@reverse": true, "property": "offence"}])
    const places = []; // Gonna feed this to the map
  
    for (let c of convictions) {
      const convictionPlace = di.graph.resolve(c, [{"property": "location"}])
      const convictionGeo = di.graph.resolve(convictionPlace, [{"property": "geo"}]);
      if (convictionGeo) {
        const convictionGeoData = {
          "id": c["@id"],
          url: c["@id"], // Will take you to this page
          name: c.name,
          "latitude": Number(convictionGeo[0].latitude), 
          "longitude": Number(convictionGeo[0].longitude),
          description: c.name
        }
        if (c.startTime) {
            convictionGeoData.startDate = c.startTime;
            }
            if (c.endTime && c.endTime != c.startTime) {
            convictionGeoData.startDate = c.endTime;
            }
        places.push(convictionGeoData);
      }
    }
    return places;
  }
  module.exports = findGeo;