
function findGeo(di) {     
    const person = di.graph.getItem(di.itemID);
    // Find out where a person was convicted by looking for Actions which have a location, which has a geo property
    di.graph.addBackLinks();
    const convictions = di.graph.resolve(person, [{"property": "conviction"}])
    const places = []; // Gonna feed this to the map
    for (let c of convictions) {
        const convictionPlace = di.graph.resolve(c, [{"property": "location"}])
        const convictionGeo = di.graph.resolve(convictionPlace, [{"property": "geo"}]);

        if (convictionGeo) {
                const convictionGeoData = {
                "id": c["@id"],
                "url": c["@id"],
                name: c.name,
                "latitude": Number(convictionGeo[0].latitude), 
                "longitude": Number(convictionGeo[0].longitude),
                description: c.name,
                startDate: c.startTime,
                endDate: c.endTime
            }
            
            places.push(convictionGeoData);
    }
    
    }
    return places;
}



module.exports = findGeo;